package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag795;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT795Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT795Creator mt795Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt795Creator = (MT795Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt795Creator.getTransactionReferenceNumber();
        mt795Creator.set("20", tag20Value);
    }
}
